<?php
namespace Auction\DataBin;



/**
 * Manage Bid data.
 * @author andre.fourie
 */
class AutoBid extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'AutoBid',
			'DatasetName' => 'autobids',
			'Entity'      => '\Auction\Entity\AutoBid',
			'JobField'    => 'auction',
			'References'  => array(
					'auction' => '\Auction\Entity\Auction',
					'company' => '\Company\Entity\Company',
					'profile' => '\User\Entity\Profile'
			),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Type'          => 'Create',
			'Contract'      => 'Recurring',
			'ExecuteAfter'  => array(
					'updateStatus'
			),
			'RequiredInput' => array(
					'AutoBid' => array(
							'amount' => 'Decimal'
					)
			),
			'OptionalInput' => array()
	);

}