<?php
namespace Auction\DataBin;



/**
 * Manage PublicHoliday data.
 * @author andre.fourie
 */
class PublicHoliday extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'PublicHoliday',
			'DatasetName' => 'publicholidays',
			'Entity'      => '\Auction\Entity\PublicHoliday',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Type'			=> 'List',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(),
			'Filter' => array(),
			'OrderBy' => array(
					'holiday' => 'DESC'
			),
			'Fields' => array(),
			'Expand' => array()
	);
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Type'			=> 'Create',
			'Contract' 		=> 'Recurring',
			'RequiredInput' => array(
					'PublicHoliday' => array(
							'name'    => 'String50',
							'holiday' => 'Date'
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Type'			=> 'Update',
			'Contract' 		=> 'UseOnce',
			'RequiredInput' => array(
					'PublicHoliday' => array(
							'name'    => 'String50',
							'holiday' => 'Date'
					)
			),
			'OptionalInput' => array()
	);
	/**
	 * @var array
	*/
	protected $metaDelete = array(
			'Contract' => 'UseOnce'
	);

}