<?php
namespace Auction\Report;


/**
 * Stock Contyrol Report.
 * @author andre.fourie
 */
class AuctionGrid extends \Utility\Service\Report
{



	/**
	 * @var string
	 */
	protected $_title = 'Auction Data Export';
	/**
	 * @var string
	 */
	protected $_subject = 'Vehicles on auction.';
	/**
	 * @var string
	 */
	protected $_description = 'Export of vehicles on auction.';
	/**
	 * @var array
	 */
	protected $_notes = array(
		'Confidential information, generated using Bid 4 Cars, for more information visit bid4cars.co.za'
	);
	/**
	 * @var array
	 */
	protected $_headers = array(
		'Seller',
		'Region',
		'Reference Number',
		'Registration Number',
		'VIN Number',
		'Make',
		'Model',
		'Type',
		'Year',
		'KM',
		'Trade Price',
		'List Price',
		'Reserve Price',
		'Highest Bid'
	);
	/**
	 * @var array
	 */
	protected $_fields = array(
		'auction_auctionCompanyName',
		'region_name',
		'auction_referenceNumber',
		'auction_registrationNumber',
		'stock_vinNumber',
		'auction_makeName',
		'auction_modelName',
		'auction_typeName',
		'auction_yearName',
		'auction_stockKm',
		'stock_tradePrice',
		'stock_listPrice',
		'auction_reservePrice',
		'stock_highestBid'
	);
	/**
	 * @var array
	 */
	protected $_totals = array(
		'stock_tradePrice',
		'stock_listPrice',
		'stock_highestBid',
		'auction_reservePrice'
	);
	/**
	 * @var array
	 */
	protected $_currencyFields = array(
		'stock_tradePrice',
		'stock_listPrice',
		'stock_highestBid',
		'auction_reservePrice'
	);



	/**
	 * Build the dataset, or not.
	 */
	public function build()
	{
		#-> Data passed by DataBin Grid functionality.
		$dateTimeFormat = \Utility\Definitions\Locale::getDateTimeFormat();
		foreach ($this->_data as $rowId => $rowData)
		{
			$this->_data[$rowId]['auction_created'] = $rowData['auction_created']->format($dateTimeFormat);
			$this->_data[$rowId]['auction_updated'] = !is_null($rowData['auction_updated'])
				? $rowData['auction_updated']->format($dateTimeFormat)
				: '';
		}
	}

}
