<?php
namespace Auction\Service;



/**
 * Manage Question data.
 * @author andre.fourie
 */
class Question extends \Auction\DataBin\Question {



	/**
	 * ExecuteAfter: Create.
	 * Send notification.
	 * @param array $meta
	 * @param object|null $jobRecord
	 * @param object|null $record
	 * @param \Workspace\Utility\ServiceInputParams $contract
	 * @return array
	 */
	public function notify($meta, $jobRecord, $record, \Workspace\Utility\ServiceInputParams $contract)
	{
		$vehicle = $jobRecord->stock->type->model->make->name
				. ', ' . $jobRecord->stock->type->model->name
				. ', ' . $jobRecord->stock->type->name
				. ' (' . $jobRecord->stock->vehicleYear->name . ')';
		$oNotify = new \Utility\Comms\Notification();
		if (!is_null($jobRecord->company->tradeCenter))
		{
			$oNotify->sendFromTemplate(
					null, null,
					$jobRecord->company->tradeCenter->id, null,
					$jobRecord->company->tradeCenter->contact->email, null,
					null,
					'auction-question',
					array(
							'first_name' 			=> $jobRecord->company->tradeCenter->contact->firstName,
							'family_name' 			=> $jobRecord->company->tradeCenter->contact->familyName,
							'dealer' 				=> $record->company->name,
							'vehicle' 				=> $vehicle,
							'question' 				=> $record->question
					));
		}
		else
		{
			$oNotify->sendFromTemplate(
					null, null,
					$jobRecord->company->id, $jobRecord->createdBy->id,
					$jobRecord->createdBy->email, null,
					null,
					'auction-question',
					array(
							'first_name' 			=> $jobRecord->createdBy->firstName,
							'family_name' 			=> $jobRecord->createdBy->familyName,
							'dealer' 				=> $record->company->name,
							'vehicle' 				=> $vehicle,
							'question' 				=> $record->question
					));
		}
	}

}